Bug 16774 - "Bad number format message" for correct watch
"Bad number format message" for correct watch
Status: CLOSED FIXED
Product: debugger
Classification: Unclassified
Component: Java
3.x
All All
: P4 (vote)
: 3.x
Assigned To: Daniel Prusa
issues@debugger
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-19 15:37 UTC by Jan Stola
Modified: 2003-06-30 17:36 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Stola 2001-10-19 15:37:34 UTC
Netbeans build 20011019
=======================

Following watches shows >Bad format message< instead of they real value.
0x80000000 (should be -2147483648)
0xffffffff (should be -1)
0x8000000000000000L (should be -9223372036854775808)
0xffffffffffffffffL (should be -1)
020000000000 (should be 2147483648)
037777777777 (should be -1)
01000000000000000000000L (should be -9223372036854775808)
01777777777777777777777L  (should be -1)
Comment 1 Daniel Prusa 2001-10-23 11:37:53 UTC
Fixed in main trunk.
Comment 2 Jan Stola 2001-10-31 12:21:41 UTC
Verified in Netbeans build 20011031.
Comment 3 Quality Engineering 2003-06-30 17:36:24 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo